import React from "react";
import ReactDOM from "react-dom/client";
import App from "./App";
import "./index.css";
import axios from 'axios';

axios.defaults.withCredentials = true;
axios.defaults.baseURL = 'https://faces.fullframe-design.com/';
axios.defaults.withXSRFToken = true;

document.addEventListener("DOMContentLoaded", () => {
  const player = document.querySelector(".ld-video");
  const rootElement = document.querySelector("#react-root");

  if (player) {
    ReactDOM.createRoot(rootElement as HTMLElement).render(
        <React.StrictMode>
          <App />
        </React.StrictMode>
    );
  } else {
    console.error("No se encontró el contenedor .learndash_content_wrap");
  }
});
